# This Makefile.PL for Hailo was generated by
# inc::HailoMakeMaker <self>.
# Don't edit it but the dist.ini used to construct it.

use strict;
use warnings;

use 5.010;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "A pluggable Markov engine analogous to MegaHAL",
  "AUTHOR" => "Hinrik \303\226rn Sigur\303\260sson <hinrik.sig\@gmail.com>, \303\206var Arnfj\303\266r\303\260 Bjarmason <avar\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Hailo",
  "EXE_FILES" => [
    "bin/hailo"
  ],
  "LICENSE" => "perl",
  "NAME" => "Hailo",
  "PREREQ_PM" => {
    "Any::Moose" => "0.13",
    "Class::Load" => "0.06",
    "DBD::SQLite" => "1.29",
    "Data::Dump" => "1.17",
    "Dir::Self" => "0.10",
    "File::CountLines" => "v0.0.2",
    "File::Spec::Functions" => 0,
    "Getopt::Long::Descriptive" => "0.085",
    "IO::Interactive" => "v0.0.6",
    "IPC::System::Simple" => "1.21",
    "List::MoreUtils" => "0.22",
    "Moose" => "1.08",
    "MooseX::Getopt" => "0.37",
    "MooseX::StrictConstructor" => "0.16",
    "Mouse" => "0.62",
    "MouseX::Getopt" => "0.33",
    "MouseX::StrictConstructor" => "0.02",
    "Regexp::Common" => "2010010201",
    "Term::ReadLine" => 0,
    "Term::Sk" => "0.06",
    "Time::HiRes" => 0,
    "autodie" => "2.08",
    "namespace::clean" => "0.18"
  },
  "TEST_REQUIRES" => {
    "Bot::Training" => 0,
    "Bot::Training::MegaHAL" => 0,
    "Bot::Training::StarCraft" => 0,
    "Data::Section" => "0.101620",
    "File::Slurp" => "9999.13",
    "Test::Exception" => "0.29",
    "Test::Expect" => "0.31",
    "Test::More" => "0.94",
    "Test::Output" => "0.16",
    "Test::Script" => "1.07",
    "Test::Script::Run" => "0.04",
    "Test::Synopsis" => "0.06"
  },
  "VERSION" => "0.71",
  "test" => {
    "TESTS" => "t/*.t t/command/*.t t/command/ui/*.t t/hailo/*.t t/hailo/methods/*.t t/storage/*.t t/storage/001_meta/*.t t/storage/SQLite/*.t t/storage/SQLite/memory/*.t t/tokenizer/*.t t/tokenizer/Words/*.t t/ui/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



package MY;

sub test {
    my $inherited = shift->SUPER::test(@_);

    # This trickery fails with Windows's dmake, see
    # http://www.cpantesters.org/cpan/report/07242729-b19f-3f77-b713-d32bba55d77f
    unless ($^O eq 'MSWin32') {
        # Run tests with Moose and Mouse
        $inherited =~ s/^test_dynamic :: pure_all\n\t(.*?)\n/test_dynamic :: pure_all\n\tANY_MOOSE=Mouse $1\n\tANY_MOOSE=Moose $1\n/m;
    }

    return $inherited;
}
